import React, { Component } from 'react'
import Lostsvg from '@/components/lostsvg'
import './index.scss'

class NotFound extends Component {
  render () {
    return (
      <main className="ant-pro-basicLayout-content ant-layout-content box404">
        <div className="ant-result">
          <div className="ant-result-icon ant-result-image">
            <Lostsvg />
          </div>
          <div className="ant-result-title">404</div>
          <div className="ant-result-subtitle">{this.props.msg ? this.props.msg : '抱歉，您访问的页面不存在，请联系管理员。'}</div>
        </div>
      </main>
    )
  }
}

export default NotFound